namespace InABox.Core
{
    public class CurrencyEditor : NumericEditor, IButtonEditor
    {
        public CurrencyEditor(int digits) : base(digits)
        {
            Buttons = new EditorButton[] { };
            Format = $"C{digits}";
        }

        public CurrencyEditor() : this(2)
        {
            
        }
        
        public new int Digits
        { 
            get => base.Digits;
            set => base.Digits = value;
        }
        
        public EditorButton[]? Buttons { get; set; }

        protected override BaseEditor DoClone()
        {
            return new CurrencyEditor(Digits) { Buttons = Buttons };
        }


    }
}